# apeman-service-base@1.1.2

Abstract service

+ Functions
  + [create(args)](#apeman-service-base-function-create)
+ [ApService](apeman-service-base-classes) Class
  + [new ApService()](#apeman-service-base-classes-ap-service-constructor)
  + [service.get(keys)](#apeman-service-base-classes-ap-service-get)
  + [service.dispatch(actionType, fieldName, value, isError)](#apeman-service-base-classes-ap-service-dispatch)

## Functions

<a class='md-heading-link' name="apeman-service-base-function-create" ></a>

### create(args) -> `ApService`

Create the service instance

| Param | Type | Description |
| ----- | --- | -------- |
| args | * |  |



<a class='md-heading-link' name="apeman-service-base-classes"></a>

## ApService Class

Abstract service


<a class='md-heading-link' name="apeman-service-base-classes-ap-service-constructor" ></a>

### new ApService()

Constructor of ApService class



<a class='md-heading-link' name="apeman-service-base-classes-ap-service-get" ></a>

### service.get(keys) -> `*`

Get store values

| Param | Type | Description |
| ----- | --- | -------- |
| keys | string | Keys to dig |


<a class='md-heading-link' name="apeman-service-base-classes-ap-service-dispatch" ></a>

### service.dispatch(actionType, fieldName, value, isError)

Dispatch an action

| Param | Type | Description |
| ----- | --- | -------- |
| actionType | string | Action type to dispatch |
| fieldName | string | Field name to dispath |
| value | * | Value to dispatch |
| isError | boolean | Is error or not |




